<?php
// Author: Alex Unknown
// WebSite: http://creativethemes.org
// E-mail: info@creativethemes.org

if (!defined("IN_FUSION")) { header("Location: ../../index.php"); exit; }

require_once INCLUDES."theme_functions_include.php";

define("THEME_BULLET", "<img src='".THEME."images/bullet.gif' width='4' height='6' alt='' class='bullet' />");

function render_page($license=false) {

	global $settings, $main_style;
	
	// Header
	echo "<div class='wrapper'>\n";
	echo "<div class='toolbar'>\n";
	
	echo "<div class='navi'>\n";
	echo "<span>".showsublinks("")."</span>\n";
	echo "</div>\n";
	
	echo "<div class='icons'>\n";
	echo "<a href='".BASEDIR."index.php' title='Home'><img src='".THEME."images/home.gif' width='14' height='11' alt='Home' /></a>";
	echo "<a href='".BASEDIR."infusions/site_map/site_map.php' title='Site Map'><img src='".THEME."images/site_map.gif' width='14' height='10' alt='Site Map' /></a>";
	echo "<a href='".BASEDIR."contact.php' title='Contact'><img src='".THEME."images/contact.gif' width='14' height='9' alt='Contact' /></a>";
	echo "</div>\n";
	
	echo "</div>\n"; // end of toolbar class
	
	echo "<div class='header'>\n";
	
	// Header Banners
	echo "<div class='banner-1'>\n";
	echo "<!-- 120x120 Banner Code -->";
	echo "\n</div>\n";
	echo "<div class='banner-2'>\n";
	echo "<!-- 120x120 Banner Code -->";
	echo "\n</div>\n";
	
	// Theme logotype
	echo "<a href='".BASEDIR."index.php' title='".$settings['sitename']."'><img src='".THEME."images/blank.gif' width='358' height='91' alt='".$settings['sitename']."' class='logotype' /></a>\n";
	// System logotype (need to edit position)
//	echo "<div style='margin-left: 55px; padding-top: 43px;'>".showbanners()."</div>";
	
	echo "</div>\n"; // end of header class
	
	// Content
	echo "<div class='container'>\n";
	echo "<div class='left_panel'>".LEFT."</div>\n";
	echo "<div class='right_panel'>".RIGHT."</div>\n";
	if ($main_style == "side-both")
	{ echo "<div class='content'>".U_CENTER.CONTENT.L_CENTER."</div>\n"; }
	else
	{ echo "<div class='admin_content'>".CONTENT."</div>\n"; }
	echo "</div>\n";
	
	echo "</div>\n"; // end of wrapper class
	
	// Footer Banner
	if ($main_style == "side-both") { echo "<div class='footer_banner'>\n";
	echo "<!-- 468x60 Banner Code -->";
	echo "\n</div>\n"; }
	
	// Footer
	echo "<div class='footer_top'></div>\n";
	echo "<div class='footer_line'>".stripslashes($settings['footer'])."</div>\n";
	echo "<div class='footer_bottom'>\n";
	if (!$license) { echo showcopyright()."<br /><br />"; }
	// Don't change or delete this string!
	echo "Designed by <a href='http://creativethemes.org' title='Creative Themes for PHP-Fusion CMS' target='_blank'>CreativeThemes.org</a>";
	if (!$license) { echo "<div style='padding-bottom: 17px;'></div>"; }
	echo "</div>\n";
}

function render_news($subject, $news, $info) {

	echo "<div class='title'>".$subject."</div>\n";
	echo "<div>".$news."</div>\n";
	echo "<div class='info'>\n";
	echo "<div class='info-l'>".newsposter($info,"")."</div><div class='info-r'>".newsopts($info,"&middot;").itemoptions("N",$info['news_id'])."</div>\n";
	echo "</div>\n";
}

function render_article($subject, $article, $info) {

	echo "<div class='title'>$subject</div>\n";
	echo "<div>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</div>\n";
	echo "<div class='info'>\n";
	echo "<div class='info-l'>".articleposter($info,"")."</div><div class='info-r'>".articleopts($info,"&middot;").itemoptions("A",$info['article_id'])."</div>\n";
	echo "</div>\n";
}

function opentable($title) {

	global $main_style;
	
	echo "<div class='center_panel'>\n";
	if ($main_style == "side-both")
	{ echo "<div class='title'>$title</div>\n"; }
	else
	{ echo "<div class='admin_title'>$title</div>\n"; }
	echo "<div>\n";
}

function closetable() {

	global $main_style;
	
	echo "</div>\n</div>\n";
	echo "<div class='shadow'></div>\n";
}

function openside($title) {

	echo "<div class='panel'><div><div><div>\n";
	echo "<div class='panel_title'>".$title."</div>\n";
	echo "<div class='panel_body'>\n";
}

function closeside() {

	echo "</div>\n</div></div></div></div>\n";
}

// IN GOD WE TRUST
?>